Data Fields

# NewsSubtypeData Struct Reference

Data common to all news items of a given subtype (structure). More...

## Data Fields
NewsType | type
| News category.
NewsFlag | flags
| Initial NewsFlags bits.
const WindowDesc * | desc
| Window description for displaying this news.

## Detailed Description

Data common to all news items of a given subtype (structure).

Definition at line 207 of file news_gui.cpp.

## Field Documentation

NewsFlag NewsSubtypeData::flags

Initial NewsFlags bits.

See also:
  NewsFlag

Definition at line 209 of file news_gui.cpp.

Referenced by AddNewsItem().

NewsType NewsSubtypeData::type

News category.

See also:
  NewsType

Definition at line 208 of file news_gui.cpp.

Referenced by MoveToNextItem(), and ShowNewspaper().

The documentation for this struct was generated from the following file:

- src/news_gui.cpp